]> arthur.barton.de Git - bup.git/blobdiff - cmd/meta-cmd.py
Simplify bup startup process
[bup.git] / cmd / meta-cmd.py
index cac26b54242ea5cdb592750bb2353a35ea58eafd..38ec94348e02fc3ddca871032a0335390ce753eb 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
 # Copyright (C) 2010 Rob Browning
 #
@@ -7,6 +12,7 @@
 
 # TODO: Add tar-like -C option.
 
+from __future__ import absolute_import
 import sys
 from bup import metadata
 from bup import options